# This is only a temporary fix until FC5 is brought in
# line with FC6.
%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

Name: 		njb-sharp
Version:	0.3.0
Release:	5%{?dist}
URL:		http://banshee-project.org/Subprojects/Njb-sharp
Summary:	C sharp library to control the Nomad jukebox database
Source0:	http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}.patch
License:	BSD
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	mono-devel
BuildRequires:	monodoc-devel
BuildRequires:	libnjb-devel >= 2.2.4
Requires(post): monodoc
Requires(postun): monodoc

%description
njb-sharp: Mono/C# Bindings to libnjb

%package devel
Summary: Package config for njb-sharp
Group: Documentation
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Package configuration file for njb-sharp

%prep
%setup -q
%if "%{?fedora}" > "5"
%patch0 -p1
%endif

%build
%configure
# Götz Waschk claim parallel makeing is broken in this package
# Paul F. Johnson verified it to be broken on x86 Fedora.
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{monodir}/%{name}/*.a
cat > %{buildroot}%{monodir}/%{name}/%{name}.dll.config << EOF
<configuration>
  <dllmap dll="libnjb" target="libnjb.so.5">
  <dllmap dll="libnjbglue" target="%{monodir}/%{name}/libnjbglue.so">
</configuration>
EOF

%clean
rm -rf %{buildroot}

%post
%{_bindir}/monodoc --make-index > /dev/null

%postun
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{monodir}/%{name}
%{monodir}/monodoc/sources/*

%files devel
%defattr(-,root,root)
%{monodir}/pkgconfig/*

%changelog
* Sat Oct 21 2006 Linus Walleij <triad@df.lth.se> 0.3.0-5
- More picking around in the spec...

* Tue Oct 17 2006 Linus Walleij <triad@df.lth.se> 0.3.0-4
- Consistent macro naming
- Switched parallel make back on

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.3.0-3
- Minor tweaks, comments etc.

* Sat Oct 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.0-2
- added devel package
- added FC5 mono hackery for x86_64
- added new patch files for x86_64 stuff
- re-enabled the use of monodoc
- fixed group

* Wed Aug 30 2006 Linus Walleij <triad@df.lth.se> 0.3.0-1
- Stole Mandriva package and used as base for the Fedora Extras.
- Also proudly stole some stuff out of the SuSE equivalent by jpr@suse.de.

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-4mdv2007.0
- add libnjbglue path to dll map

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-3mdv2007.0
- rebuild for new mono

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.0
- fix postun script

* Tue May 02 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- lib64 fix

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- 

* Fri Jan  6 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- fix URL
- New release 0.2.2

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- new version

* Wed Dec  7 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-0.54024.1mdk
- add dll map
- new version

* Wed Dec  7 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-0.54023.1mdk
- initial package
